# List Project Offering Roles

Lists paginated project offering roles currently planned or used within a project offering.

Endpoint: GET /v1/projects/{project_id}/offerings/{project_offering_id}/roles
Version: v1
Security: ApiKey

## Path parameters:

  - `project_id` (string, required)

  - `project_offering_id` (string, required)

## Query parameters:

  - `page` (integer)
    The specific page of results requested.

  - `page_size` (integer)
    The number of results in each page.

  - `terms` (string)

## Response 200 fields (application/json):

  - `count` (integer)
    The number of results in the current page.

  - `total` (integer)
    The total number of results that fulfill the request.

  - `page` (integer)
    The current page of results being returned.

  - `total_pages` (integer)
    The total number of available pages that fulfill the request.

  - `page_size` (integer)
    The number of results in each page returned.

  - `results` (array, required)
    The array of result objects for the current page.

  - `results.id` (string)
    The unique identifier for the project offering role.

  - `results.assignment` (object)
    The unique identifier for the (optional) person attached to the role.

  - `results.assignment.id` (string, required)
    The unique identifier of the resource assigned to the project offering role.

  - `results.assignment.type` (string, required)
    The type of the resource assigned to the project offering role. This describes which entity type is being referred to by `id`.
    Enum: "person", "requisition"

  - `results.role_id` (string)
    The unique identifier for role that describes the project offering role.

  - `results.tags` (array)
    A list of tags assigned to the Project Offering Role for filtering, categorization, or reporting.

## Response 400 fields (application/json):

  - `type` (string)
    RFC reference for the error type

  - `title` (string)
    Human-readable summary of the error

  - `status` (integer)
    HTTP status code

  - `errors` (array)
    Detailed error messages for each validation failure

  - `trace_id` (string)
    Trace identifier for debugging

